import {Str, Uid} from "pinia-orm/dist/decorators";
import ApiModel from "~/models/ApiModel";

/**
 * Ap2i Model : PersonalizedList
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Access/PersonalizedList.php
 */
export default class PersonalizedList extends ApiModel {
  static entity = 'personalized_lists'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare label:string|null

  @Str(null)
  declare entity:string|null

  @Str('')
  declare menuKey:string
}
